@charset "UTF-8";

@font-face {
  font-family: 'Rational';
  src: url('../fonts/rene_bieder_-_rational-medium-webfont.woff2') format('woff2'),
    url('../fonts/rene_bieder_-_rational-medium-webfont.woff') format('woff');
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: 'Rational';
  src: url('../fonts/rene_bieder_-_rational-semibold-webfont.woff2') format('woff2'),
    url('../fonts/rene_bieder_-_rational-semibold-webfont.woff') format('woff');
  font-weight: 600;
  font-style: normal;
}
@font-face {
  font-family: 'Rational';
  src: url('../fonts/rene_bieder_-_rational-thin-webfont.woff2') format('woff2'),
    url('../fonts/rene_bieder_-_rational-thin-webfont.woff') format('woff');
  font-weight: 200;
  font-style: normal;
}

@keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 1; }
}

@keyframes fade-out {
  from { opacity: 1; }
  to { opacity: 0; }
}

:root {
  --yellow: #FCF6AF;
  --darkgrey: #3D3D3D;
  --shadow: #2A2A2A;

  --bezier: cubic-bezier(.37,0,.23,1);
}

* {
  scroll-behavior: smooth;
  outline: 0px;
}
*::selection {
  background-color: var(--yellow);
  color: black;
}
html, body {
  height: 100%;
  width: 100%;
  padding: 0px;
  margin: 0px;
}
body {
  background-color: var(--darkgrey);
  font-family: 'Rational', 'Helvetica', sans-serif;
  font-weight: 200;
  color: white;
  overflow-x: hidden;
}

a {
  position: relative;
  color: inherit;
  text-decoration: none;
  cursor: pointer;
}
button {
  background: none;
  border: 0px;
  outline: 0px;
  padding: 0px;
  margin: 0px;
  cursor: pointer;
}
figure {
  margin: 0px;
  padding: 0px;
}
footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
  padding: 2em;
  box-sizing: border-box;
  background-color: black;
}
  footer .logo {
    height: 1.5em;
    margin-bottom: 2em;
  }
  footer nav {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 2em;
    margin-left: 6em;
    font-weight: 500;
    line-height: 2em;
  }
  footer nav:last-of-type {
    color: var(--yellow);
  }
    footer nav svg {
      margin-right: 0.6em;
    }
h2 {
  font-size: 2.3em;
  font-weight: 600;
  line-height: 1em;
  color: currentColor;
}
h3 {
  font-size: 1.8em;
  font-weight: 600;
  line-height: 1em;
  color: currentColor;
}
h4 {
  font-size: 1.2em;
  font-weight: 500;
  line-height: 1em;
  color: currentColor;
}
header {
  position: fixed;
  display: flex;
  justify-content: space-between;
  align-items: center;
  top: 0px;
  left: 0px;
  height: 80px;
  width: 100%;
  padding: 1.5em;
  box-sizing: border-box;
  background-color: var(--yellow);
  color: black;
  box-shadow: 0px 0px 15px var(--shadow);
  z-index: 100;
}
  header a, header svg {
    height: 100%;
  }
img {
  pointer-events: none;
  max-width: 100%;
}
main {
  position: relative;
  display: grid;
  grid-template-columns: 150px calc(100% - 150px);
  align-content: flex-start;
  justify-content: center;
  background-image: url('../src/paint-footer.png');
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: 100%;
}
  main section {
    grid-column: 2 / span 1;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    width: 100%;
    padding-right: 15%;
    padding-left: calc(15% / 2);
    box-sizing: border-box;
  }
  main > section > * {
    max-width: 100%;
  }
  main > section > article {
    width: 100%;
  }
svg {
  overflow: visible;
}

slide {
  overflow: hidden;
}

.big {
  font-size: 1.2em;
}
.bold {
  font-weight: 600;
}
.brand-icon {
  --size: 1em;
  position: relative;
  height: var(--size);
  width: var(--size);
  fill: currentColor;
}
.copied-link {
  position: absolute;
  display: block;
  top: 50%;
  left: 110%;
  padding: 0.5em;
  box-sizing: border-box;
  border-radius: 0.2em;
  color: white;
  background-color: var(--shadow);
  transform: translateY(-50%);
}
.feather {
  --rotate: 0deg;
  --scale-x: 1;
  position: absolute;
  display: block;
  transform: scaleX(var(--scale-x)) rotate(var(--rotate));
  will-change: top;
}
.feather[data-layer="1"] {
  filter: blur(0.4em);
}
.feather[data-layer="2"] {
  filter: blur(0.1em);
}
.feather[data-layer="3"] {
  filter: blur(0em);
  z-index: -1;
}
.feather[data-layer="4"] {
  filter: blur(0em);
  z-index: -1;
}
.flex-row {
  display: inline-flex;
  justify-content: flex-start;
  align-items: flex-start;
}
.flex-row.fit {
  justify-content: space-between;
}
.grid-cols-3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1em;
  align-items: center;
  justify-items: center;
}
.hidden {
  display: none;
}
.hover-opacity {
  transition: opacity 0.3s;
}
.hover-opacity:hover {
  opacity: 0.5;
}
.invisible {
  position: absolute;
  height: 1px;
  width: 1px;
  opacity: 0px;
}
.light {
  font-weight: 200;
}
.line-icon {
  --size: 1em;
  position: relative;
  height: var(--size);
  width: var(--size);
  stroke: currentColor;
  stroke-width: 6;
  fill: none;
}
.medium {
  font-weight: 500;
}
.note {
  font-size: 0.9em;
  color: var(--darkgrey);
  font-style: oblique;
  font-weight: 400;
}
.quote {
  position: relative;
  font-size: 1.5rem;
  text-align: center;
}
  .quote::before {
    content: '"';
    position: absolute;
    bottom: 100%;
    left: 0px;
    font-family: 'The Nautigal', cursive;
    font-size: 12em;
    line-height: 1rem;
    color: var(--yellow);
    transform: rotate(180deg) translateY(6rem);
  }
.span-2 {
  grid-column-end: span 2;
}
.work {
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: stretch;
  top: 50%;
  left: 50%;
  height: 90vh;
  width: 80%;
  max-width: 1440px;
  box-sizing: border-box;
  background-color: var(--yellow);
  color: black;
  box-shadow: 0px 0px max(100vw, 100vh) max(100vw, 100vh) #0008;
  transform: translate(-50%, -50%);
  z-index: 1000;
  animation: fade-out 0.2s forwards;
}
.work.visible {
  animation: fade-in 0.2s forwards;
}
  .work button {
    cursor: pointer;
  }
  .work button[type="prev"], .work button[type="next"] {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0px;
    height: 100%;
    padding: 1.5rem;
    box-sizing: border-box;
    color: var(--yellow);
    z-index: 10;
    cursor: pointer;
  }
  .work button[type="prev"] {
    left: 0px;
  }
  .work button[type="next"] {
    right: 0px;
  }
  .work slideshow {
    background-color: var(--darkgrey);
    color: white;
  }
  .work ._background, .work ._photo {
    position: absolute;
    display: block;
  }
  .work ._background {
    top: 50%;
    left: 50%;
    height: 150%;
    width: 150%;
    object-fit: cover;
    filter: grayscale(1) blur(10px);
    transform: translate(-50%, -50%);
    opacity: 0.2;
  }
  .work ._counter {
    position: absolute;
    display: inline-block;
    right: 1.5em;
    bottom: 1.5em;
    margin: 0px;
    color: var(--yellow);
    text-align: right;
  }
  .work ._photo {
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    object-fit: contain;
  }
  .work > div {
    padding: 1.5em;
  }
  .work h2 {
    margin: 0 1em 0 0;
  }
  .work p {
    margin: 0 0 1em 0;
  }
  .work .brand-icon {
    --size: 1.5em;
    margin-right: 0.6em;
  }
  .work .line-icon {
    --size: 30px;
  }
.yellow {
  color: var(--yellow);
}
.yellow-hr {
  --width: 120%;
  align-self: flex-end;
  width: var(--width);
  max-width: var(--width);
}

#about {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-column-gap: 3em;
}
  #about > img {
    border: solid 5px var(--yellow);
    box-sizing: border-box;
    object-fit: cover;
    max-height: 80vh;
  }
  #about > article {
    display: flex;
    flex-direction: column;
    align-content: flex-start;
    justify-content: center;
  }
  #about > article > p {
    margin: 2.5em 0;
  }

#feather-01 {
  --scale-x: -1;
  --rotate: -61deg;
  top: -35%;
  left: 8%;
}
#feather-02 {
  --scale-x: -1;
  --rotate: 55deg;
  height: 11em;
  top: 0%;
  left: 22%;
}
#feather-03 {
  --rotate: 26deg;
  top: 120%;
  left: 80%;
}
#feather-04 {
  --rotate: 53deg;
  height: 15em;
  top: 95%;
  left: 40%;
}
#feather-05 {
  --rotate: 0deg;
  height: 6em;
  top: 69%;
  left: 60%;
}
#hamburguer-btn svg {
  --size: 30px;
}
#main-menu {
  position: sticky;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  top: 18vh;
  width: auto;
  margin: 4em 2em;
  height: 64vh;
}
  #main-menu a {
    position: relative;
    display: flex;
    align-items: center;
    color: var(--yellow);
    transition: color 0.3s;
  }
  #main-menu a[data-focus='true'] ~ a {
    color: var(--shadow);
  }
    #main-menu a::before {
      content: "";
      display: inline-block;
      background-color: currentColor;
      height: 1em;
      width: 1em;
      border-radius: 50%;
    }
    #main-menu a span {
      display: inline-block;
      margin-left: 1em;
      font-weight: 500;
      line-height: 0.9em;
      opacity: 0;
      transform: translateX(-0.5em);
      transition: opacity 0.6s, transform 0.6s var(--bezier);
    }
    #main-menu a:hover span, #main-menu a[data-focus='true'] span {
      opacity: 1;
      transform: translateX(0px);
    }
#mobile-menu {
  position: fixed;
  display: block;
  height: 100%;
  width: 100%;
  top: 0px;
  left: 0px;
  margin: 0px;
  background-color: #0000;
  z-index: 99;
  overflow: hidden;
  transition: background-color 0.5s;
  will-change: background-color;
  pointer-events: none;
  z-index: 99;
}
#mobile-menu.active {
  background-color: #0008;
  pointer-events: auto;
}
  #mobile-menu nav {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    top: 0px;
    left: 100%;
    height: 100%;
    padding: 100px 2em;
    box-sizing: border-box;
    background-color: var(--yellow);
    color: black;
    transition: transform 0.5s var(--bezier);
    will-change: transform;
  }
  #mobile-menu.active nav {
    transform: translateX(-100%);
  }
    #mobile-menu nav a {
      padding-right: 5em;
    }
    #mobile-menu nav a:not(:last-of-type) {
      border-bottom: solid black 1px;
    }
#nav-progress {
  position: absolute;
  display: block;
  top: 0px;
  left: 0.5em;
  height: 100%;
  width: 5px;
  background-color: var(--shadow);
  background-image: linear-gradient(to bottom, var(--yellow) 50%, var(--shadow) 50%);
  background-position-y: 100%;
  background-size: 100% 200%;
  transform: translateX(-50%);
  transition: background-position 0.2s var(--bezier);
}
#network-links .brand-icon {
  --size: 2em;
}
#network-links a {
  margin: 1rem 1.5rem 1rem 0;
}
#network-links a:last-of-type {
  margin-right: 0;
}
#portfolio {
  background-image: url('../src/paint-brush.png');
  background-repeat: no-repeat;
  background-position: left;
  background-size: 100% 30%;
}
#wall-01 {
  position: absolute;
  display: block;
  width: 90%;
  right: 0px;
  bottom: 60%;
  mix-blend-mode: lighten;
  z-index: -1;
}
#works-carousel button[type="prev"],
#works-carousel button[type="next"] {
  right: auto;
  left: calc(100% + 1.5rem);
  font-size: 2em;
}
#works-carousel button[type="prev"] {
  transform: translateY(-75%);
}
#works-carousel button[type="next"] {
  transform: translateY(25%);
}
#works-carousel items {
  filter: drop-shadow(0.2em 0.2em 0.3em #0005);
}
#works-carousel item {
  --timing: 0.2s ease;
  height: 70vh;
  padding: 1.5em;
  box-sizing: border-box;
  background-size: auto 105%;
  background-repeat: no-repeat;
  background-position: center;
  border: solid 5px transparent;
  filter: grayscale(1);
  transform: scale(0.95);
  cursor: pointer;
  transition: border var(--timing), filter var(--timing), transform var(--timing), background-size 2s ease-out;
}
#works-carousel item:hover {
  background-size: auto 115%;
  border-color: var(--yellow);
  filter: grayscale(0);
  transform: scale(1);
}
#works-carousel item h3{
  margin: 0px;
}
